import { PopupScene } from '../../../typing';
import { PopupWidget } from '../PopupWidget';
export declare class InnerPopupWidget extends PopupWidget {
    protected getPopupScene(): PopupScene | string;
    initialize(props: any): this;
    protected get teleportHandle(): string;
    private get title();
    protected get help(): any;
    protected get class(): string | undefined;
    protected get size(): any;
    protected get innerPopupHeightConfig(): {
        small: string;
        medium: string;
        large: string;
    };
    protected get height(): any;
    protected get placement(): any;
    protected get closable(): boolean;
    protected get okText(): any;
    protected get cancelText(): any;
    protected get headerInvisible(): boolean;
    protected get footerInvisible(): boolean;
    protected percentageToVh(val: string): string;
}
